#include <bits/stdc++.h>

using namespace std;

int a[100010];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n,m,x,y,rez=0;

    cin >> n;
    cin >> m;

    for(int i=1; i<=n; i++)
    {
        cin >> a[i];
    }
    for(int i=0; i<m; i++)
    {
        cin >> x;
        cin >> y;

        if(a[x]<0 && a[y]>=0)
        {
            if(-a[x]>=a[y])
            {
                rez+=-a[x] - a[y];
            }
            else
            {
                rez+=a[x]+a[y];
            }
        }
        else if(a[x]>=0 && a[y]<0)
        {
            if(-a[y]>=a[x])
            {
                rez+=-a[y] - a[x];
            }
            else
            {
                rez+=a[y]+a[x];
            }
        }
        else if(a[x]<0 && a[y]<0)
        {
            rez+=-a[x]-a[y];
        }
        else
        {
            rez+=a[x]+a[y];
        }
    }

    cout << rez << endl;
    
    return 0;
}